// DS1820 knjižnica h
#ifndef ds1820_pp
  #define ds1820_pp


#include <stdio.h>
#include "LPC13xx.h"                        // LPC13xx definitions ^
#include "systick_pp.h"
#include "LCD.h"



 void DolociKodo(int param[], int senzor);
 void init1820(void);
 void write_0(void);
 void write_1(void);
 void send_to_ds1820(int podatki);
 int read_from_ds1820(void);
 void SendMatchROM(void);
 void PreberiSerijsko(void);
 void PreberiScratcpad(void);
 void PreberiTemperaturo(void);
 void PreberiIzbraniDS1820(void);


//void ReadTemperature(void);

//void PreberiScratchPad(void); 
//void PreberiTocno(void);
//int read_bit(void);
#endif
